← OBPv7.0.0 Get Roles with Entitlement Counts GET /obp/v7.0.0/management/roles-with-entitlement-counts OBPv6.0.0-getRolesWithEntitlementCountsAtAllBanks Roles: CanGetRolesWithEntitlementCountsAtAllBanks RoleEntitlement Returns all available roles with the count of entitlements that use each role. This endpoint provides statistics about role usage across all banks by counting how many entitlements have been granted for each role. User Authentication is Required. The User must be logged in. The Application must also be authenticated. Requires the CanGetRolesWithEntitlementCountsAtAllBanks role. JSON response body fields (4) entitlement_count entitlement_countrequires_bank_id role roles CanCreateMyUser Example success response { "roles": [ { "role": "CanGetCustomer", "requires_bank_id": true, "entitlement_count": 5 }, { "role": "CanGetBank", "requires_bank_id": false, "entitlement_count": 3 } ] } Possible errors (3) OBP-20001: User not logged in. Authentication is required!OBP-20006: User is missing one or more roles: OBP-50000: Unknown Error.